1

Closed

Incompatible with 6.1.3+ - HtmlAgility pack change

description

Version 6.1.3 introduced an upgrade of the HtmlAgility pack from 1.4.5.0 to 1.4.6.0.

This predictably causes the error:
Could not load file or assembly 'HtmlAgilityPack, Version=1.4.5.0

I updated the web.config with a dependentAssembly entry as per the Umbraco installation instructions:
<dependentAssembly> 
    <assemblyIdentity name="HtmlAgilityPack" publicKeyToken="bd319b19eaf3b43a" culture="neutral" />
    <bindingRedirect oldVersion="1.4.5.0-1.4.6.0" newVersion="1.4.6.0" /> 
</dependentAssembly>  
After doing this, the following error shows up when trying to index:
ERROR UmbracoExamine.DataServices.UmbracoLogService - [Thread 62] Provider=FullTextIndexer, NodeId=-1
System.Exception: Error indexing queue items,Object reference not set to an instance of an object., IndexSet: FullTextIndexSet
Closed Sep 4, 2013 at 10:26 AM by governor
Released a new package version fixing the issue.

comments

governor wrote Aug 29, 2013 at 9:23 AM

Hi andyvidual

Thanks for reporting the issue. I will look into this and release an updated package asap.

Best regards,
Rigardt

governor wrote Aug 29, 2013 at 3:50 PM

Hi andyvidual

A new version 6.1.0 is now available which is compatible with Umbraco 6.1.3 and 6.1.4. You don't need to include the <dependentAssembly> for it to work.

Best regards,
Rigardt

andyvidual wrote Sep 4, 2013 at 10:01 AM

Thanks for this!